libpisock-dev_0.12.5-dfsg-2+b3_i386.deb


Advertisement

Description

libpisock-dev - development files for communicating with a PalmOS PDA

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libpisock-dev_0.12.5-dfsg-2+b3_i386.deb
Package name libpisock-dev
Package version 0.12.5
Package release dfsg-2+b3
Package architecture i386
Package type deb
Category devel::lang:c devel::lang:perl devel::lang:python devel::library implemented-in::c implemented-in::perl libdevel role::devel-lib role::program uitoolkit::ncurses
Homepage http://www.pilot-link.org/
License -
Maintainer Ludovic Rousseau <rousseau@debian.org>
Download size 293.57 KB
Installed size 799.00 KB
libpisock-dev contains static libraries, header files and dynamic
libraries for compiling applications that communicate with a PalmOS
device.
You will need this package if you want to compile a C or C++ using
libpisock9 or libpisync1.

Alternatives

Package Version Architecture Repository
libpisock-dev_0.12.5-dfsg-2+b3_amd64.deb 0.12.5 amd64 Debian Main
libpisock-dev - - -

Requires

Name Value
libbluetooth-dev -
libpisock9 = 0.12.5-dfsg-2+b3
libpisync1 = 0.12.5-dfsg-2+b3
libusb-dev -

Replaces

Name Value
pilot-link <= 0.11.3-4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpisock-dev_0.12.5-dfsg-2+b3_i386.deb
Source Package pilot-link

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpisock-dev deb package:
    # sudo apt-get install libpisock-dev

Files

Path
/usr/include/pi-address.h
/usr/include/pi-appinfo.h
/usr/include/pi-args.h
/usr/include/pi-blob.h
/usr/include/pi-bluetooth.h
/usr/include/pi-buffer.h
/usr/include/pi-calendar.h
/usr/include/pi-cmp.h
/usr/include/pi-contact.h
/usr/include/pi-datebook.h
/usr/include/pi-debug.h
/usr/include/pi-dlp.h
/usr/include/pi-error.h
/usr/include/pi-expense.h
/usr/include/pi-file.h
/usr/include/pi-foto.h
/usr/include/pi-header.h
/usr/include/pi-hinote.h
/usr/include/pi-inet.h
/usr/include/pi-location.h
/usr/include/pi-macros.h
/usr/include/pi-mail.h
/usr/include/pi-md5.h
/usr/include/pi-memo.h
/usr/include/pi-money.h
/usr/include/pi-net.h
/usr/include/pi-notepad.h
/usr/include/pi-padp.h
/usr/include/pi-palmpix.h
/usr/include/pi-serial.h
/usr/include/pi-slp.h
/usr/include/pi-sockaddr.h
/usr/include/pi-socket.h
/usr/include/pi-source.h
/usr/include/pi-sync.h
/usr/include/pi-sys.h
/usr/include/pi-syspkt.h
/usr/include/pi-threadsafe.h
/usr/include/pi-todo.h
/usr/include/pi-usb.h
/usr/include/pi-util.h
/usr/include/pi-veo.h
/usr/include/pi-versamail.h
/usr/include/pi-version.h
/usr/lib/libpisock.a
/usr/lib/libpisock.la
/usr/lib/libpisock.so
/usr/lib/libpisync.a
/usr/lib/libpisync.la
/usr/lib/libpisync.so
/usr/lib/pkgconfig/pilot-link.pc
/usr/share/aclocal/pilot-link.m4
/usr/share/doc/libpisock-dev/changelog.Debian.gz
/usr/share/doc/libpisock-dev/changelog.Debian.i386.gz
/usr/share/doc/libpisock-dev/changelog.gz
/usr/share/doc/libpisock-dev/copyright

Changelog

2015-08-09 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-dfsg-2) unstable; urgency=medium
* Fix "deprecation of python-support" use dh-python instead of
python-support (Closes: #786254)
2014-06-14 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-dfsg-1) unstable; urgency=medium
* Fix "Duplicate and conflicting definition of function ColourCorrect"
rename ColourCorrect and make it static (Closes: #750983)
* remove .o and .so from the source package and rename source package to
-dfsg
* remove libpda-pilot-perl package as it does not build anymore
2014-01-22 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-7) unstable; urgency=low
* Fix "run dh-autoreconf to update config.{sub,guess} and
{libtool,aclocal}.m4" use dh_autoreconf instead of
dh_autotools-dev_updateconfig (Closes: #727270)
2013-10-27 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-6) unstable; urgency=low
* Fix "Use dh_autotools-dev to update config.{sub,guess} for AArch64"
patch from Ubuntu (Closes: #727270)
2012-04-08 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-5) unstable; urgency=low
* upgrade to debhelper 9
* Fix "should not depend on libncurses5-dev" dependency removed
(Closes: #667891)
* Fix "pilot-read-ical depends upon external program" removed pilot-read-ical
(Closes: #608468)
* Fix "pilot-memos.1.gz: HTML tags in man page" fixed upstream
(Closes: #391984)
* Fix "HTML fragments in man pages" fixed upstream
(Closes: #402045)
* debian/control: Standards-Version: 3.9.2 => 3.9.3. No change needed.
2011-08-06 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-4) unstable; urgency=low
* Fix "debian/control uses hardcoded list of non-Linux architectures"
use [linux-any] (Closes: #634729)
* Fix "FTBFS with libpng-dev in experimental: pilot-read-notepad.c"
Use patch from FreeBSD (Closes: #636758)
debian/patches/33-new-png-lib
2011-07-17 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-3) unstable; urgency=low
* Fix "Emptying dependency_libs in .la files". Add a sed call in
debian/rules (Closes: #633330)
* Fix "FTBFS with perl 5.14: error: 'sv_undef' undeclared (first use
in this function)" using the patch
debian/patches/0001-Don-t-use-PERL_POLLUTE-macros.patch from Niko Tyni
<ntyni@debian.org> (Closes: #628510)
* Standards-Version: 3.8.4 -> 3.9.2.
- Remove -D_REENTRANT from CFLAGS
- the 'dependency_libs' setting should be emptied (bug #633330 fixed above)
* fix lintian warning: debian-rules-missing-recommended-target build-arch
* fix lintian warning: "I: libpisock9: conflicts-with-version pilot-link (<<
0.12.2-7)" by removing references to this very old version
2010-02-11 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-2) unstable; urgency=low
* debian/rules: do not use -l dh_shlibdeps argument any more
* debian/symbols: new file.
* debian/rules: add dependencies between packages. Closes: #569426:
pilot-link: FTBFS: dpkg-shlibdeps: error: couldn't find library
libpisock.so.9 needed by debian/libpisync1/usr/lib/libpisync.so.1.0.3 (ELF
format: 'elf64-x86-64'; RPATH: '')
2010-02-10 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-1) unstable; urgency=low
* New upstream release
* debian/patches/30_3_arg_open: remove since included upstream
* debian/rules: parallel compilation now works and can be set using
parallel= in DEB_BUILD_OPTIONS
* debian/patches/32_typos: fix typos found by lintian
* debian/pilot-link.NEWS: fix debian-news-entry-without-blank-line
* debian/pilot-link.NEWS: fix debian-news-entry-uses-asterisk
* Standards-Version: 3.8.3 -> 3.8.4. no change needed.
2009-12-06 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.4-7) unstable; urgency=low
* Fix "please no longer suggest libmd5-perl" by removing "Suggests:
libmd5-perl" for pilot-link and remove "Depends: libdigest-md5-perl" for
libpda-pilot-perl (Closes: #558596)
* move to "3.0 (quilt)" source format

See Also

Package Description
libpisock9_0.12.5-dfsg-2+b3_i386.deb library for communicating with a PalmOS PDA
libpisync1_0.12.5-dfsg-2+b3_i386.deb synchronization library for PalmOS devices
libpithub-perl_0.01034-1_all.deb Github v3 API
libpixelif-common_0.8.4-3_all.deb Provides localization and font data for libpixelif
libpixelif-dev_0.8.4-3_i386.deb Interface translating fizmo output into pixel data
libpixelmed-codec-java_20170512-2_all.deb some imaging codecs for pixelmed DICOM image and ECG viewer
libpixelmed-java-doc_20150917+git20151209.36f3174+dfsg-1_all.deb DICOM implementation containing Image Viewer and a ECG Viewer - doc
libpixelmed-java_20150917+git20151209.36f3174+dfsg-1_all.deb DICOM implementation containing Image Viewer and a ECG Viewer
libpixels-java_2.1.3+svn.42-2_all.deb manipulation and filtering of images in Java
libpixie-java_1.1.6-3_all.deb Java Vector Format Viewer Library
libpixman-1-0_0.36.0-1_i386.deb pixel-manipulation library for X and cairo
libpixman-1-dev_0.36.0-1_i386.deb pixel-manipulation library for X and cairo (development files)
libpkcs11-helper1-dev_1.25.1-1_i386.deb library that simplifies the interaction with PKCS#11
libpkcs11-helper1_1.25.1-1_i386.deb library that simplifies the interaction with PKCS#11
libpkgconfig-perl_0.23026-1_all.deb Pure-Perl Core-Only replacement for pkg-config
Advertisement
Advertisement